org.apache.maven.shared.jar.identification.repository

## Interface RepositoryHashSearch

All Known Implementing Classes:
  EmptyRepositoryHashSearch

    public interface RepositoryHashSearch

Interface for Repository Hash Searches.

### Method Summary

All Methods Instance Methods Abstract Methods
`List` `searchBytecodeHash(String hash)` Search the repository for artifacts matching the given hash code when consider the bytecode of the classes in the file.
`List` `searchFileHash(String hash)` Search the repository for artifacts matching the given hash code when consider the entire contents of the file.

### Method Detail

#### searchFileHash

    List searchFileHash(String hash)

Search the repository for artifacts matching the given hash code when consider the entire contents of the file.

Parameters:
  `hash` - the hash code to use
Returns:
  a list of `Artifact` instances that matched

#### searchBytecodeHash

    List searchBytecodeHash(String hash)

Search the repository for artifacts matching the given hash code when consider the bytecode of the classes in the file.

Parameters:
  `hash` - the hash code to use
Returns:
  a list of `Artifact` instances that matched